Retrieve a user's playlists

 \ Example request

GET https://api.7digital.com/1.2/user/playlists?userId=12345&country=GB&oauth_consumer_key=YOUR_KEY_HERE&oauth_token=...

Example response

{
  "playlists":{
    "page":1,
    "pageSize":10,
    "totalItems":1,
    "playlist":[{
      "id" : "51ed5cfec9021614f462bb7b",
      "name" : "My Chillout Mix",
      "links" : [{
        "rel" : "self",
        "href" : "http://api.7digital.com/1.2/playlists/51ed5cfec9021614f462bb7b"
      },
      {
        "rel" : "details",
        "href" : "http://api.7digital.com/1.2/playlists/51ed5cfec9021614f462bb7b/details"
      },
      {
        "rel" : "tracks",
        "href" : "http://api.7digital.com/1.2/playlists/51ed5cfec9021614f462bb7b/tracks"
      }],
      "trackCount" : 7,
      "status": "published",
      "visibility" : "Public",
        "annotations" : {
        "key" : "value"
      },
      "image" : "http://artwork-cdn.7static.com/static/img/sleeveart/00/004/963/0000496338_$size$.jpg",
      "lastUpdated" : "2013-10-02T12:16:04.615Z"
    }]
  }
}
Query Params
string
required
string
required
Language
LoadingLoading…